0

http://www.php.net/manual/en/sqlite.installation.php

Beginning with PHP 5.4, this extension is available only via PECL.

http://pecl.php.net/package/SQLite

This package is not maintained anymore and has been superseded.

So, how am I supposed to get SQLite on PHP?

I guess downgrading to PHP 5.3 would work, but is that wise?

1

From the release announcement:

ext/sqlite3 and ext/pdo_sqlite are not affected

Hence you should be converting your code to use sqlite3. There's a crude shim for the procedural API in the comments here.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.